=== debian/changelog ===
sigil (0.9.13.1-1+dde) unstable; urgency=medium

  * update

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 16 Jun 2021 15:30:28 +0800
