## sigil 0.9.14+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,10 +29,12 @@
 
 set( SIGIL_MAJOR_VERSION 0 )
 set( SIGIL_MINOR_VERSION 9 )
-set( SIGIL_REVISION_VERSION 13 )
+set( SIGIL_REVISION_VERSION 14 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )
+   include(GNUInstallDirs)
+
    # Make sure the correct rpath is set for the sigil executable
    # on Linux -- for both the build and the installed versions.
    # Needed to make sure the installed shared hunspell and gumbo
@@ -45,7 +47,7 @@
    # (but later on when installing)
    SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
 
-   SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/sigil")
+   SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}/sigil")
 
    # add the automatically determined parts of the RPATH
    # which point to directories outside the build tree to the install RPATH.
