=== src/CMakeLists.txt ===
--- 
+++ 
@@ -316,6 +316,8 @@
     Misc/GumboInterface.cpp
     Misc/PythonRoutines.h
     Misc/PythonRoutines.cpp
+    Misc/TextDocument.h
+    Misc/TextDocument.cpp
     )
 
 set( MISC_EDITORS_FILES    
@@ -377,5 +379,3 @@
     MainUI/PreviewWindow.cpp
     MainUI/PreviewWindow.h
     MainUI/TableOfContents.cpp
-    MainUI/TableOfContents.h
-    MainUI/OPFModel.cpp
