=== debian/changelog ===
sigil (0.9.14+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.14+dfsg.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Jul 2019 17:21:47 +0200
