## sigil 0.9.18+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 set( SIGIL_MAJOR_VERSION 0 )
 set( SIGIL_MINOR_VERSION 9 )
-set( SIGIL_REVISION_VERSION 14 )
+set( SIGIL_REVISION_VERSION 18 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )
