=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 ########################################################
-#  
+#
 #  This is a CMake configuration file.
-#  To use it you need CMake which can be 
-#  downloaded from here: 
+#  To use it you need CMake which can be
+#  downloaded from here:
 #    http://www.cmake.org/cmake/resources/software.html
 #
 #########################################################
@@ -54,8 +54,15 @@
 
 #############################################################################
 
-# Qt5 packages minimum version 5.4
-find_package(Qt5 5.4 COMPONENTS Core Network Svg WebKit WebKitWidgets Widgets Xml XmlPatterns Concurrent PrintSupport LinguistTools)
+if( UNIX AND NOT APPLE )
+    # Qt5 packages minimum version 5.9 for Linux
+    set(QT5_NEEDED 5.9)
+else()
+    # Qt5 packages minimum version 5.12 for Mac/Windows
+    set(QT5_NEEDED 5.12)
+endif()
+find_package(Qt5 ${QT5_NEEDED} COMPONENTS Core Network WebEngine WebEngineWidgets Widgets Xml Concurrent PrintSupport LinguistTools)
+
 set(CMAKE_AUTOMOC ON)
 
 set( MAIN_FILES
@@ -64,8 +71,8 @@
     sigil_exception.h
     main.cpp
     )
-    
-set( BOOK_MANIPULATION_FILES 
+
+set( BOOK_MANIPULATION_FILES
     BookManipulation/Book.cpp
     BookManipulation/Book.h
     BookManipulation/BookReports.cpp
@@ -116,7 +123,7 @@
     ResourceObjects/XMLResource.cpp
     ResourceObjects/XMLResource.h
     )
-        
+
 set( DIALOG_FILES
     Dialogs/About.cpp
     Dialogs/About.h
@@ -204,6 +211,8 @@
     Dialogs/SpellcheckEditor.h
     Dialogs/ViewImage.cpp
     Dialogs/ViewImage.h
+    Dialogs/Inspector.cpp
+    Dialogs/Inspector.h
     )
 
 set( EXPORTER_FILES
@@ -219,7 +228,7 @@
     Exporters/EncryptionXmlWriter.cpp
     Exporters/EncryptionXmlWriter.h
     )
-    
+
 set( IMPORTER_FILES
     Importers/ImportEPUB.cpp
     Importers/ImportEPUB.h
@@ -233,12 +242,7 @@
     Importers/ImportTXT.h
     )
 
-
-# These may now be obsolete if so remove them
-#    Misc/HTMLPrettyPrint.cpp
-#    Misc/HTMLPrettyPrint.h
-    
-set( MISC_FILES    
+set( MISC_FILES
     Misc/AppEventFilter.cpp
     Misc/AppEventFilter.h
     Misc/UpdateChecker.cpp
@@ -269,8 +273,6 @@
     Misc/PluginDB.h
     Misc/QCodePage437Codec.cpp
     Misc/QCodePage437Codec.h
-    Misc/RasterizeImageResource.cpp
-    Misc/RasterizeImageResource.h
     Misc/SearchOperations.cpp
     Misc/SearchOperations.h
     Misc/Language.cpp
@@ -283,6 +285,7 @@
     Misc/MarcRelators.cpp
     Misc/MarcRelators.h
     Misc/UILanguage.cpp
+    Misc/UILanguage.h
     Misc/SettingsStore.cpp
     Misc/SettingsStore.h
     Misc/SpellCheck.cpp
@@ -308,6 +311,7 @@
     Misc/ValidationResult.cpp
     Misc/WrapIndicator.h
     Misc/XMLEntities.cpp
+    Misc/XMLEntities.h
     Misc/PyObjectPtr.h
     Misc/PyObjectPtr.cpp
     Misc/EmbeddedPython.h
@@ -320,7 +324,7 @@
     Misc/TextDocument.cpp
     )
 
-set( MISC_EDITORS_FILES    
+set( MISC_EDITORS_FILES
     MiscEditors/ClipEditorModel.cpp
     MiscEditors/ClipEditorModel.h
     MiscEditors/ClipEditorTreeView.cpp
@@ -349,23 +353,23 @@
     )
 
 set( VIEW_EDITOR_FILES
-    ViewEditors/BookViewEditor.cpp
-    ViewEditors/BookViewEditor.h
-    ViewEditors/BookViewPreview.cpp
-    ViewEditors/BookViewPreview.h
     ViewEditors/CodeViewEditor.cpp
     ViewEditors/CodeViewEditor.h
+    ViewEditors/WebEngPage.cpp
+    ViewEditors/WebEngPage.h
+    ViewEditors/ViewPreview.cpp
+    ViewEditors/ViewPreview.h
     ViewEditors/LineNumberArea.cpp
     ViewEditors/LineNumberArea.h
     ViewEditors/Searchable.cpp
     ViewEditors/Searchable.h
-    ViewEditors/Zoomable.h 
-    ViewEditors/ViewEditor.h     
-    ViewEditors/ViewWebPage.cpp
-    ViewEditors/ViewWebPage.h 
-    )
-
-set( MAINUI_FILES 
+    ViewEditors/Zoomable.h
+    ViewEditors/ElementIndex.h
+    ViewEditors/ViewEditor.h
+    ViewEditors/Viewer.h
+     )
+
+set( MAINUI_FILES
     MainUI/MainApplication.cpp
     MainUI/MainApplication.h
     MainUI/MainWindow.cpp
