=== debian/changelog ===
sigil (0.9.18+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.18+dfsg.
  * Update copyright.
  * Recommend python3-css-parser, which replaced the embedded old code copy.
  * d/rules: Remove code dealing with the removed copy of python-css-parser.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 06 Sep 2019 15:23:11 +0200

sigil (0.9.17+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.17+dfsg.
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 10 Aug 2019 16:46:35 +0200

sigil (0.9.16+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.16+dfsg.
    + Fix a Zip directory traversal vulnerability.
      Closes: #933797; CVE-2019-14452
  * d/control: Bump Standards-Version to 4.4.0, no changes needed.
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Aug 2019 14:02:35 +0200

sigil (0.9.15+dfsg-1) experimental; urgency=medium

  * New upstream version 0.9.15+dfsg.
  * d/control: Update dependencies, move from qtwebkit to qtwebengine.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Jul 2019 17:31:22 +0200
