=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
  libjs-jquery-scrollto,
  libminizip-dev,
  libpcre3-dev (>= 2:8.35-4),
- libqt5svg5-dev (>= 5.4.0),
- libqt5webkit5-dev (>= 5.4.0),
- libqt5xmlpatterns5-dev (>= 5.4.0),
+ libqt5svg5-dev (>= 5.9.4),
+ libqt5xmlpatterns5-dev (>= 5.9.4),
  pkg-config,
  python3-dev,
- qtbase5-dev (>= 5.4.0),
- qttools5-dev (>= 5.4.0),
- qttools5-dev-tools (>= 5.4.0),
+ qtbase5-dev (>= 5.9.4),
+ qttools5-dev (>= 5.9.4),
+ qttools5-dev-tools (>= 5.9.4),
+ qtwebengine5-dev (>= 5.9.4),
  zlib1g-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: http://sigil-ebook.com
 Vcs-Git: https://salsa.debian.org/debian/sigil.git
@@ -40,6 +40,7 @@
 Recommends:
  python3,
  python3-chardet,
+ python3-css-parser,
  python3-cssselect,
  python3-cssutils,
  python3-html5lib,
