## sigil 1.1.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,9 +27,9 @@
 set( PACKAGE_DIRECTORY ${PROJECT_BINARY_DIR}/package )
 set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_extras" )
 
-set( SIGIL_MAJOR_VERSION 0 )
-set( SIGIL_MINOR_VERSION 9 )
-set( SIGIL_REVISION_VERSION 18 )
+set( SIGIL_MAJOR_VERSION 1 )
+set( SIGIL_MINOR_VERSION 1 )
+set( SIGIL_REVISION_VERSION 0 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )
