=== src/CMakeLists.txt ===
--- 
+++ 
@@ -139,10 +139,18 @@
     Dialogs/DeleteStyles.h
     Dialogs/EditTOC.cpp
     Dialogs/EditTOC.h
+    Dialogs/EmptyLayout.cpp
+    Dialogs/EmptyLayout.h
     Dialogs/OpenWithName.cpp
     Dialogs/OpenWithName.h
+    Dialogs/RERenamer.cpp
+    Dialogs/RERenamer.h
+    Dialogs/RETable.cpp
+    Dialogs/RETable.h
     Dialogs/SelectCharacter.cpp
     Dialogs/SelectCharacter.h
+    Dialogs/SelectFolder.cpp
+    Dialogs/SelectFolder.h
     Dialogs/SelectHyperlink.cpp
     Dialogs/SelectHyperlink.h
     Dialogs/SelectId.cpp
@@ -322,6 +330,8 @@
     Misc/PythonRoutines.cpp
     Misc/TextDocument.h
     Misc/TextDocument.cpp
+    Misc/MediaTypes.cpp
+    Misc/MediaTypes.h
     )
 
 set( MISC_EDITORS_FILES
@@ -357,6 +367,8 @@
     ViewEditors/CodeViewEditor.h
     ViewEditors/WebEngPage.cpp
     ViewEditors/WebEngPage.h
+    ViewEditors/SimplePage.cpp
+    ViewEditors/SimplePage.h
     ViewEditors/ViewPreview.cpp
     ViewEditors/ViewPreview.h
     ViewEditors/LineNumberArea.cpp
@@ -371,15 +383,3 @@
 
 set( MAINUI_FILES
     MainUI/MainApplication.cpp
-    MainUI/MainApplication.h
-    MainUI/MainWindow.cpp
-    MainUI/MainWindow.h
-    MainUI/FindReplace.cpp
-    MainUI/FindReplace.h
-    MainUI/BookBrowser.cpp
-    MainUI/BookBrowser.h
-    MainUI/ClipsWindow.cpp
-    MainUI/ClipsWindow.h
-    MainUI/PreviewWindow.cpp
-    MainUI/PreviewWindow.h
-    MainUI/TableOfContents.cpp
