=== debian/changelog ===
sigil (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.1.0
  * d/control: Bump Standards-Version to 4.5.0, no changes needed.
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 07 Feb 2020 18:39:11 +0100

sigil (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.0+dfsg.  Closes: #947056
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.0.0
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Dec 2019 15:50:17 +0100

sigil (0.9.991+dfsg-1) experimental; urgency=medium

  * New upstream alpha version 0.9.991+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/0.9.991
  * d/control: Bump Standards-Version to 4.4.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Nov 2019 18:41:11 +0100
