=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  qttools5-dev-tools (>= 5.9.4),
  qtwebengine5-dev (>= 5.9.4),
  zlib1g-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://sigil-ebook.com
 Vcs-Git: https://salsa.debian.org/debian/sigil.git
