## sigil 1.3.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_extras" )
 
 set( SIGIL_MAJOR_VERSION 1 )
-set( SIGIL_MINOR_VERSION 1 )
+set( SIGIL_MINOR_VERSION 3 )
 set( SIGIL_REVISION_VERSION 0 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
@@ -86,8 +86,8 @@
 endif()
 
 if ( APPLE )
-    find_package(PythonInterp 3.7)
-    find_package (PythonLibs 3.7)
+    find_package(PythonInterp 3.8)
+    find_package (PythonLibs 3.8)
 endif()
 if ( WIN32 )
     find_package(PythonInterp 3.5)
