=== src/CMakeLists.txt ===
--- 
+++ 
@@ -54,6 +54,9 @@
 
 #############################################################################
 
+# quiet Qt 5.15 deprecat4ed warnings for now as we must support Qt 5.12.X and even earlier
+add_definitions(-DQT_NO_DEPRECATED_WARNINGS)
+
 if( UNIX AND NOT APPLE )
     # Qt5 packages minimum version 5.9 for Linux
     set(QT5_NEEDED 5.9)
@@ -61,7 +64,12 @@
     # Qt5 packages minimum version 5.12 for Mac/Windows
     set(QT5_NEEDED 5.12)
 endif()
-find_package(Qt5 ${QT5_NEEDED} COMPONENTS Core Network WebEngine WebEngineWidgets Widgets Xml Concurrent PrintSupport LinguistTools)
+
+set( PKGS_TO_FIND Core Network WebEngine WebEngineWidgets Widgets Xml Concurrent PrintSupport LinguistTools )
+if ( WIN32 )
+    list( APPEND PKGS_TO_FIND WinExtras )
+endif()
+find_package( Qt5 ${QT5_NEEDED} COMPONENTS ${PKGS_TO_FIND} )
 
 set(CMAKE_AUTOMOC ON)
 
@@ -141,14 +149,27 @@
     Dialogs/EditTOC.h
     Dialogs/EmptyLayout.cpp
     Dialogs/EmptyLayout.h
+    Dialogs/ManageRepos.cpp
+    Dialogs/ManageRepos.h
     Dialogs/OpenWithName.cpp
     Dialogs/OpenWithName.h
+    Dialogs/RepoLog.cpp
+    Dialogs/RepoLog.h
+    Dialogs/ChgViewer.cpp
+    Dialogs/ChgViewer.h
+    Dialogs/SourceViewer.cpp
+    Dialogs/SourceViewer.h
+    Dialogs/ListSelector.h
+    Dialogs/CPCompare.cpp
+    Dialogs/CPCompare.h
     Dialogs/RERenamer.cpp
     Dialogs/RERenamer.h
     Dialogs/RETable.cpp
     Dialogs/RETable.h
     Dialogs/SelectCharacter.cpp
     Dialogs/SelectCharacter.h
+    Dialogs/SelectCheckpoint.cpp
+    Dialogs/SelectCheckpoint.h
     Dialogs/SelectFolder.cpp
     Dialogs/SelectFolder.h
     Dialogs/SelectHyperlink.cpp
@@ -219,8 +240,27 @@
     Dialogs/SpellcheckEditor.h
     Dialogs/ViewImage.cpp
     Dialogs/ViewImage.h
+    Dialogs/ViewAV.cpp
+    Dialogs/ViewAV.h
+    Dialogs/ViewFont.cpp
+    Dialogs/ViewFont.h
     Dialogs/Inspector.cpp
     Dialogs/Inspector.h
+    )
+
+set( WIDGET_FILES
+    Widgets/ImageView.cpp
+    Widgets/ImageView.h
+    Widgets/AVView.cpp
+    Widgets/AVView.h
+    Widgets/FontView.cpp
+    Widgets/FontView.h
+    Widgets/Navigator.h
+    Widgets/Navigator2.h
+    Widgets/TextView.cpp
+    Widgets/TextView.h
+    Widgets/TVLineNumberArea.cpp
+    Widgets/TVLineNumberArea.h
     )
 
 set( EXPORTER_FILES
@@ -255,6 +295,8 @@
     Misc/AppEventFilter.h
     Misc/UpdateChecker.cpp
     Misc/UpdateChecker.h
+    Misc/URLInterceptor.cpp
+    Misc/URLInterceptor.h
     Misc/Utility.cpp
     Misc/Utility.h
     Misc/SleepFunctions.h
@@ -268,6 +310,7 @@
     Misc/CSSHighlighter.h
     Misc/CSSInfo.cpp
     Misc/CSSInfo.h
+    Misc/DiffRec.h
     Misc/HTMLEncodingResolver.cpp
     Misc/HTMLEncodingResolver.h
     Misc/HTMLSpellCheck.cpp
@@ -283,6 +326,8 @@
     Misc/QCodePage437Codec.h
     Misc/SearchOperations.cpp
     Misc/SearchOperations.h
+    Misc/SigilDarkStyle.cpp
+    Misc/SigilDarkStyle.h
     Misc/Language.cpp
     Misc/Language.h
     Misc/DescriptiveInfo.h
@@ -332,6 +377,8 @@
     Misc/TextDocument.cpp
     Misc/MediaTypes.cpp
     Misc/MediaTypes.h
+    Misc/TagAtts.cpp
+    Misc/TagAtts.h
     )
 
 set( MISC_EDITORS_FILES
@@ -339,47 +386,3 @@
     MiscEditors/ClipEditorModel.h
     MiscEditors/ClipEditorTreeView.cpp
     MiscEditors/ClipEditorTreeView.h
-    MiscEditors/IndexEditorModel.cpp
-    MiscEditors/IndexEditorModel.h
-    MiscEditors/IndexEditorTreeView.cpp
-    MiscEditors/IndexEditorTreeView.h
-    MiscEditors/IndexEntries.cpp
-    MiscEditors/IndexEntries.h
-    MiscEditors/IndexHTMLWriter.cpp
-    MiscEditors/IndexHTMLWriter.h
-    MiscEditors/SearchEditorTreeView.cpp
-    MiscEditors/SearchEditorTreeView.h
-    MiscEditors/SearchEditorModel.cpp
-    MiscEditors/SearchEditorModel.h
-    )
-
-set( SPCRE_FILES
-    PCRE/SPCRE.cpp
-    PCRE/SPCRE.h
-    PCRE/PCRECache.cpp
-    PCRE/PCRECache.h
-    PCRE/PCREReplaceTextBuilder.cpp
-    PCRE/PCREReplaceTextBuilder.h
-    )
-
-set( VIEW_EDITOR_FILES
-    ViewEditors/CodeViewEditor.cpp
-    ViewEditors/CodeViewEditor.h
-    ViewEditors/WebEngPage.cpp
-    ViewEditors/WebEngPage.h
-    ViewEditors/SimplePage.cpp
-    ViewEditors/SimplePage.h
-    ViewEditors/ViewPreview.cpp
-    ViewEditors/ViewPreview.h
-    ViewEditors/LineNumberArea.cpp
-    ViewEditors/LineNumberArea.h
-    ViewEditors/Searchable.cpp
-    ViewEditors/Searchable.h
-    ViewEditors/Zoomable.h
-    ViewEditors/ElementIndex.h
-    ViewEditors/ViewEditor.h
-    ViewEditors/Viewer.h
-     )
-
-set( MAINUI_FILES
-    MainUI/MainApplication.cpp
