=== debian/changelog ===
sigil (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.3.0
  * d/control: Bump debhelper compat level to 13.
  * d/rules:
    + Drop now unneeded dh_missing override, covered by dh 13.
    + Drop -as-needed linker flag, it's default in the newest toolchain.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Jul 2020 18:21:42 +0200

sigil (1.2.1+dfsg-2) unstable; urgency=medium

  * d/control:
    + Add a dependency on python3-dulwich, to be able to use the checkpoint
      feature.  Closes: #955586
    + Drop now unneeded Build-Dependencies on libqt5(svg|xmlpatterns)5-dev.
      Thanks to Mihai Limbasan for the report.  Closes: #955584

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 03 Apr 2020 11:46:56 +0200

sigil (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.2.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.2.0
  * New upstream version 1.2.1+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.2.1

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 01 Apr 2020 16:27:16 +0200
