=== debian/control ===
--- 
+++ 
@@ -4,15 +4,13 @@
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
  cmake (>= 3.0.0),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  libhunspell-dev,
  libjs-jquery,
  libjs-jquery-scrollto,
  libminizip-dev,
  libpcre3-dev (>= 2:8.35-4),
- libqt5svg5-dev (>= 5.9.4),
- libqt5xmlpatterns5-dev (>= 5.9.4),
  pkg-config,
  python3-dev,
  qtbase5-dev (>= 5.9.4),
@@ -32,6 +30,7 @@
  libhunspell-dev,
  libjs-jquery-scrollto,
  libjs-mathjax (>= 2.7.0),
+ python3-dulwich (>= 0.19),
  python3-lxml,
  sigil-data (= ${source:Version}),
  ${misc:Depends},
