=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
 	dh $@ --with python3
@@ -16,12 +15,8 @@
 		-DINSTALL_BUNDLED_DICTS=0 \
 		-DMATHJAX_DIR=/usr/share/javascript/mathjax/ \
 
-override_dh_install:
+execute_before_dh_install:
 	rm -v $(CURDIR)/debian/tmp/usr/share/sigil/plugin_launchers/python/sigil_bs4/COPYING.txt
-	dh_install
-
-override_dh_missing:
-	dh_missing --fail-missing
 
 override_dh_python3:
 	dh_python3 --no-ext-rename
