## sigil 1.4.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,8 @@
 set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_extras" )
 
 set( SIGIL_MAJOR_VERSION 1 )
-set( SIGIL_MINOR_VERSION 3 )
-set( SIGIL_REVISION_VERSION 0 )
+set( SIGIL_MINOR_VERSION 4 )
+set( SIGIL_REVISION_VERSION 3 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )
