=== src/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,11 @@
 set( PKGS_TO_FIND Core Network WebEngine WebEngineWidgets Widgets Xml Concurrent PrintSupport LinguistTools )
 if ( WIN32 )
     list( APPEND PKGS_TO_FIND WinExtras )
+    if ( USE_ALT_ICONS )
+        set(APP_ICON_PATH "${CMAKE_SOURCE_DIR}/src/Resource_Files/icon/app_icons_alt/app.ico" )
+    else()
+        set(APP_ICON_PATH "${CMAKE_SOURCE_DIR}/src/Resource_Files/icon/app_icons_orig/app.ico" )
+    endif()
 endif()
 find_package( Qt5 ${QT5_NEEDED} COMPONENTS ${PKGS_TO_FIND} )
 
@@ -293,6 +298,8 @@
 set( MISC_FILES
     Misc/AppEventFilter.cpp
     Misc/AppEventFilter.h
+    Misc/AsciiFy.cpp
+    Misc/AsciiFy.h
     Misc/UpdateChecker.cpp
     Misc/UpdateChecker.h
     Misc/URLInterceptor.cpp
@@ -315,6 +322,8 @@
     Misc/HTMLEncodingResolver.h
     Misc/HTMLSpellCheck.cpp
     Misc/HTMLSpellCheck.h
+    Misc/HTMLSpellCheckML.cpp
+    Misc/HTMLSpellCheckML.h
     Misc/PasteTargetComboBox.cpp
     Misc/PasteTargetComboBox.h
     Misc/PasteTarget.h
@@ -373,16 +382,3 @@
     Misc/GumboInterface.cpp
     Misc/PythonRoutines.h
     Misc/PythonRoutines.cpp
-    Misc/TextDocument.h
-    Misc/TextDocument.cpp
-    Misc/MediaTypes.cpp
-    Misc/MediaTypes.h
-    Misc/TagAtts.cpp
-    Misc/TagAtts.h
-    )
-
-set( MISC_EDITORS_FILES
-    MiscEditors/ClipEditorModel.cpp
-    MiscEditors/ClipEditorModel.h
-    MiscEditors/ClipEditorTreeView.cpp
-    MiscEditors/ClipEditorTreeView.h
