=== debian/changelog ===
sigil (1.4.3+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.3+dfsg
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.4.3

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 03 Dec 2020 17:15:27 +0100

sigil (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.2+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.4.2
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Nov 2020 19:11:53 +0100

sigil (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.1+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.4.1

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 16 Nov 2020 18:08:45 +0100

sigil (1.4.0+dfsg-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.4.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.4.0
  * d/control: Suggest. the new package "pageedit".
  * d/rules: Install the new hicolor icons.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 14 Nov 2020 17:21:38 +0100
