=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  qttools5-dev-tools (>= 5.9.4),
  qtwebengine5-dev (>= 5.9.4),
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://sigil-ebook.com
 Vcs-Git: https://salsa.debian.org/debian/sigil.git
@@ -47,6 +47,8 @@
  python3-pyqt5,
  python3-regex,
  python3-six,
+Suggests:
+ pageedit,
 Description: multi-platform ebook editor
  Sigil is a free, open source, multi-platform ebook editor.
  It is designed to edit books in ePub format.
