=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 		-DUSE_SYSTEM_LIBS=1 \
 		-DSYSTEM_LIBS_REQUIRED=1 \
 		-DINSTALL_BUNDLED_DICTS=0 \
+		-DINSTALL_HICOLOR_ICONS=1 \
 		-DMATHJAX_DIR=/usr/share/javascript/mathjax/ \
 
 execute_before_dh_install:
